/**
 * Copyright (C) 2001  Miklos Reiter (see the file README for details on
 * how to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package noope.input;


/** This exception is raised when an object constructing itself from a BlockReader object does
    not find an entry it needs.
    @author Miklos Reiter
    @version 26 March 2001, original version
*/
public class BREntryNotFoundException extends BRLoadingException
{
    /** Constructs a new Exception object.
	@param what The entry key we should have found, but that was missing.
	@param where A BlockReaderLocation marking the position in the BlockReader where the
	error was encountered.
     */
    public BREntryNotFoundException(String what, BlockReaderLocation where)
    {
	super("Key '" + what + "' expected, but not found.", where);
    }
}
