/**
 * Copyright (C) 2001  Paul Evans (see the file README for details on how
 * to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package noope.input;

/**
 * This class implements a BlockReaderLocation that contains the context
 * straight away; this is needed when an exception occurs while a
 * BlockReader is being constructed, since then, we don't have it to
 * produce the context from the location.
 *
 * @author Paul Evans
 * @version June 2001
 *
 */
public class BlockReaderLocationWithContext extends BlockReaderLocation
{
    private BlockReaderContext c;

    public BlockReaderLocationWithContext(BlockReaderContext new_c)
    {
	c = new_c;
    }

    public BlockReaderContext convertToContext()
    {
	return c;
    }

    public String toString()
    {
	return "LocationWithContext " + c.toString();
    }
}
