/**
 * Copyright (C) 2001  Paul Evans (see the file README for details on how
 * to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package noope.input;

import java.io.FileReader;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.FileNotFoundException;

/**
 * A StringBlockReader with support for reading from files.
 *
 * This first version reads in the entire file as a string.
 *
 * @author Paul Evans
 * @version 08-Jun-2001: changed constructors to throw BlockReaderExceptions rather than
 * StringBlockReaderExceptions, because did not compile [Miklos Reiter].
 *
 */
public class FileBlockReader extends StringBlockReader
{
    private static String readAllFile(BufferedReader reader)
	throws IOException
    {
	String s;
	String data = "";

	while ((s = reader.readLine()) != null) 
	    data += (s + "\n");
	
	return data;
    }

    public FileBlockReader(String fileName)
	throws FileNotFoundException, IOException, BlockReaderException
    {
	this(new BufferedReader(new FileReader(fileName)));
    }

    public FileBlockReader(BufferedReader reader)
	throws IOException, BlockReaderException
    {
	super(readAllFile(reader));
    }
}
