/**
 * Copyright (C) 2001  Paul Evans (see the file README for details on how
 * to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package test;

/* TestStringBlockReader, Paul Evans, 27-Apr-01
 * Program to test the StringBlockReader class
 */

import noope.input.*;

public class TestStringBlockReader
{
    public static void printThisBlock(BlockReader r) throws BlockReaderException
    {
	System.out.println(brToString(r, ""));
    }

    public static String brToString(BlockReader r, String spaces) throws BlockReaderException
    {
	String ret = spaces + "BLOCK: " + r.getHeader() + " (" + r.getParameter() + ")\n";

	StringBlockReaderContext con;

	r.seekFirstEntry();

	while (r.hasMoreEntries()) {
	    String[] s;

	    s = r.getNextEntry();

	    con = (StringBlockReaderContext)(r.getEntryLocation().convertToContext());
	    
	    ret += spaces + s[0] + " = \"" + s[1] + "\"\n" + spaces + "  " + con.toString() + "\n";

	}

	r.seekFirstBlock();
	
	while (r.hasMoreBlocks()) {
	    ret += brToString(r.getNextBlock(), spaces + "  ");
	}

	return ret;
    }

    public static void main(String[] argv)
    {
	try {
	    BlockReader r = new FileBlockReader("test/testblock.txt");
	    printThisBlock(r);
	}
	catch (Exception e) {
	    e.printStackTrace();
	}
	
    }
}
